RegexMapper (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapred.lib, class: RegexMapper

Package org.apache.hadoop.mapred.lib

# Class RegexMapper<K>

java.lang.Object
org.apache.hadoop.mapred.MapReduceBase
org.apache.hadoop.mapred.lib.RegexMapper<K>

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `Closeable`, `JobConfigurable`, `Mapper<K,Text,Text,LongWritable>`

@Public @Stable public class RegexMapper<K> extends MapReduceBase implements Mapper<K,Text,Text,LongWritable>
A `Mapper` that extracts text matching a regular expression.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RegexMapper()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `configure(JobConf job)`
  Default implementation that does nothing.
  `void`
  `map(K key, Text value, OutputCollector<Text,LongWritable> output, Reporter reporter)`
  Maps a single input key/value pair into an intermediate key/value pair.

  ### Methods inherited from class org.apache.hadoop.mapred.MapReduceBase

  `close`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.io.Closeable

  `close`

- ## Constructor Details

  - ### RegexMapper

    public RegexMapper()

- ## Method Details

  - ### configure

    public void configure(JobConf job)
    Description copied from class: `MapReduceBase`
    Default implementation that does nothing.
    Specified by:
      `configure` in interface `JobConfigurable`
    Overrides:
      `configure` in class `MapReduceBase`
    Parameters:
      `job` - the configuration

  - ### map

    public void map(K key, Text value, OutputCollector<Text,LongWritable> output, Reporter reporter) throws IOException
    Description copied from interface: `Mapper`
    Maps a single input key/value pair into an intermediate key/value pair.

    Output pairs need not be of the same types as input pairs. A given input pair may map to zero or many output pairs. Output pairs are collected with calls to `OutputCollector.collect(Object,Object)`.

    Applications can use the `Reporter` provided to report progress or just indicate that they are alive. In scenarios where the application takes significant amount of time to process individual key/value pairs, this is crucial since the framework might assume that the task has timed-out and kill that task. The other way of avoiding this is to set mapreduce.task.timeout to a high-enough value (or even zero for no time-outs).

    Specified by:
      `map` in interface `Mapper<K,Text,Text,LongWritable>`
    Parameters:
      `key` - the input key.
      `value` - the input value.
      `output` - collects mapped keys and values.
      `reporter` - facility to report progress.
    Throws:
      `IOException`